Bug 786007 - [c3aa99d907591f72b6302287b9b8899514fb52f1]: server crashed when dict_set for truster.afr.vol-client when compiled with efence
[c3aa99d907591f72b6302287b9b8899514fb52f1]: server crashed when dict_set for ...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-31 01:50 EST by Rahul C S
Modified: 2015-10-22 11:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-01-31 01:50:06 EST
Description of problem:
Created a striped replicate volume(4 bricks -> 2x2) & ran posix compliance test from one client & untarred openssl from the other.

Server crashed 3 bricks with same backtrace.

#0  __strlen_sse2 () at ../sysdeps/x86_64/multiarch/../strlen.S:32
#1  0x00007f06deca309b in ?? () from /usr/lib/libefence.so.0
#2  0x00007f06deca3431 in EF_Exit () from /usr/lib/libefence.so.0
#3  0x00007f06deca2b53 in memalign () from /usr/lib/libefence.so.0
#4  0x00007f06deca2757 in malloc () from /usr/lib/libefence.so.0
#5  0x00007f06deead5b4 in ?? () from /lib64/ld-linux-x86-64.so.2
#6  0x00007f06deeb7b4a in ?? () from /lib64/ld-linux-x86-64.so.2
#7  0x00007f06deeb3996 in ?? () from /lib64/ld-linux-x86-64.so.2
#8  0x00007f06deeb837a in ?? () from /lib64/ld-linux-x86-64.so.2
#9  0x00007f06de1401e0 in do_dlopen (ptr=0x7fff3dd3d170) at dl-libc.c:86
#10 0x00007f06deeb3996 in ?? () from /lib64/ld-linux-x86-64.so.2
#11 0x00007f06de14029a in dlerror_run (args=0x7fff3dd3d170, operate=0x7f06de1401a0 <do_dlopen>) at dl-libc.c:47
#12 __GI___libc_dlopen_mode (name=<optimized out>, mode=<optimized out>) at dl-libc.c:160
#13 0x00007f06de11b8a5 in init () at ../sysdeps/x86_64/../ia64/backtrace.c:41
#14 0x00007f06de3cf713 in pthread_once () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_once.S:104
#15 0x00007f06de11b99c in __GI___backtrace (array=<optimized out>, size=200) at ../sysdeps/x86_64/../ia64/backtrace.c:85
#16 0x00007f06dea40d26 in gf_print_trace (signum=11) at ../../../libglusterfs/src/common-utils.c:425
#17 <signal handler called>
#18 __strlen_sse2 () at ../sysdeps/x86_64/multiarch/../strlen.S:32
#19 0x00007f06deca309b in ?? () from /usr/lib/libefence.so.0
#20 0x00007f06deca3431 in EF_Exit () from /usr/lib/libefence.so.0
#21 0x00007f06deca2a79 in memalign () from /usr/lib/libefence.so.0
#22 0x00007f06deca2757 in malloc () from /usr/lib/libefence.so.0
#23 0x00007f06deca2d34 in calloc () from /usr/lib/libefence.so.0
#24 0x00007f06dea5f914 in __gf_calloc (nmemb=1, size=40, type=2) at ../../../libglusterfs/src/mem-pool.c:145
#25 0x00007f06dea25c8f in _dict_set (this=0x7f06c73e0fc0, key=0x7f06c73e4fdc "trusted.afr.vol-client-2", value=0x7f06c770dfd8)
    at ../../../libglusterfs/src/dict.c:275
#26 0x00007f06dea25e9b in dict_set (this=0x7f06c73e0fc0, key=0x7f06c73e4fdc "trusted.afr.vol-client-2", value=0x7f06c770dfd8)
    at ../../../libglusterfs/src/dict.c:324
#27 0x00007f06dea2adff in dict_unserialize (orig_buf=0x7f06c73e4f68 "", size=144, fill=0x7fff3dd3e7b0)
    at ../../../libglusterfs/src/dict.c:2671
#28 0x00007f06d84186ea in server_lookup (req=0x7f06d7ec0810) at ../../../../../xlators/protocol/server/src/server3_1-fops.c:5196
#29 0x00007f06de8000f0 in rpcsvc_handle_rpc_call (svc=0x7f06d88cdf50, trans=0x7f06d9e4bd40, msg=0x7f06c7412fb0)
    at ../../../../rpc/rpc-lib/src/rpcsvc.c:514
#30 0x00007f06de80046d in rpcsvc_notify (trans=0x7f06d9e4bd40, mydata=0x7f06d88cdf50, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x7f06c7412fb0)
    at ../../../../rpc/rpc-lib/src/rpcsvc.c:610
#31 0x00007f06de80603c in rpc_transport_notify (this=0x7f06d9e4bd40, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x7f06c7412fb0)
    at ../../../../rpc/rpc-lib/src/rpc-transport.c:498
#32 0x00007f06da7b02db in socket_event_poll_in (this=0x7f06d9e4bd40) at ../../../../../rpc/rpc-transport/socket/src/socket.c:1675
#33 0x00007f06da7b0844 in socket_event_handler (fd=15, idx=8, data=0x7f06d9e4bd40, poll_in=1, poll_out=0, poll_err=0)
    at ../../../../../rpc/rpc-transport/socket/src/socket.c:1790
#34 0x00007f06dea5edec in event_dispatch_epoll_handler (event_pool=0x7f06deff6f60, events=0x7f06d9e393e0, i=0)
    at ../../../libglusterfs/src/event.c:794
#35 0x00007f06dea5efff in event_dispatch_epoll (event_pool=0x7f06deff6f60) at ../../../libglusterfs/src/event.c:856
#36 0x00007f06dea5f372 in event_dispatch (event_pool=0x7f06deff6f60) at ../../../libglusterfs/src/event.c:956
#37 0x0000000000407eee in main (argc=17, argv=0x7fff3dd3ed18) at ../../../glusterfsd/src/glusterfsd.c:1601
(gdb) f 25
#25 0x00007f06dea25c8f in _dict_set (this=0x7f06c73e0fc0, key=0x7f06c73e4fdc "trusted.afr.vol-client-2", value=0x7f06c770dfd8)
    at ../../../libglusterfs/src/dict.c:275
275	        pair = (data_pair_t *) GF_CALLOC (1, sizeof (*pair),
(gdb) f 24
#24 0x00007f06dea5f914 in __gf_calloc (nmemb=1, size=40, type=2) at ../../../libglusterfs/src/mem-pool.c:145
145	        ptr = calloc (1, tot_size);
Comment 1 Rahul C S 2012-01-31 02:18:07 EST
Also, write-behind was off. Forgot to mention that above.
Comment 2 Amar Tumballi 2012-02-27 05:43:23 EST
priority will be re-addressed after 3.3.0 GA
Comment 4 Amar Tumballi 2013-02-17 23:36:02 EST
Guys, need to look at these bugs. Good to run couple of tests with efence enabled. (this may not even be an issue now with 'master' branch, but need to run test and confirm)
Comment 5 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.